## gimpscanner

gimpscanner

## Synopsis

    GScanner *          gimp_scanner_new_file               (const gchar *filename,
                                                             GError **error);
    GScanner *          gimp_scanner_new_string             (const gchar *text,
                                                             gint text_len,
                                                             GError **error);
    void                gimp_scanner_destroy                (GScanner *scanner);
    gboolean            gimp_scanner_parse_token            (GScanner *scanner,
                                                             GTokenType token);
    gboolean            gimp_scanner_parse_identifier       (GScanner *scanner,
                                                             const gchar *identifier);
    gboolean            gimp_scanner_parse_string           (GScanner *scanner,
                                                             gchar **dest);
    gboolean            gimp_scanner_parse_string_no_validate
                                                            (GScanner *scanner,
                                                             gchar **dest);
    gboolean            gimp_scanner_parse_data             (GScanner *scanner,
                                                             gint length,
                                                             guint8 **dest);
    gboolean            gimp_scanner_parse_int              (GScanner *scanner,
                                                             gint *dest);
    gboolean            gimp_scanner_parse_float            (GScanner *scanner,
                                                             gdouble *dest);
    gboolean            gimp_scanner_parse_color            (GScanner *scanner,
                                                             GimpRGB *dest);
    gboolean            gimp_scanner_parse_matrix2          (GScanner *scanner,
                                                             GimpMatrix2 *dest);

## Description

## Details

### gimp_scanner_new_file ()

    GScanner *          gimp_scanner_new_file               (const gchar *filename,
                                                             GError **error);

Returns : |

Since GIMP 2.4

### gimp_scanner_new_string ()

    GScanner *          gimp_scanner_new_string             (const gchar *text,
                                                             gint text_len,
                                                             GError **error);

Returns : |

Since GIMP 2.4

### gimp_scanner_destroy ()

    void                gimp_scanner_destroy                (GScanner *scanner);

Since GIMP 2.4

### gimp_scanner_parse_token ()

    gboolean            gimp_scanner_parse_token            (GScanner *scanner,
                                                             GTokenType token);

Returns : |

Since GIMP 2.4

### gimp_scanner_parse_identifier ()

    gboolean            gimp_scanner_parse_identifier       (GScanner *scanner,
                                                             const gchar *identifier);

Returns : |

Since GIMP 2.4

### gimp_scanner_parse_string ()

    gboolean            gimp_scanner_parse_string           (GScanner *scanner,
                                                             gchar **dest);

Returns : |

Since GIMP 2.4

### gimp_scanner_parse_string_no_validate ()

    gboolean            gimp_scanner_parse_string_no_validate
                                                            (GScanner *scanner,
                                                             gchar **dest);

Returns : |

Since GIMP 2.4

### gimp_scanner_parse_data ()

    gboolean            gimp_scanner_parse_data             (GScanner *scanner,
                                                             gint length,
                                                             guint8 **dest);

Returns : |

Since GIMP 2.4

### gimp_scanner_parse_int ()

    gboolean            gimp_scanner_parse_int              (GScanner *scanner,
                                                             gint *dest);

Returns : |

Since GIMP 2.4

### gimp_scanner_parse_float ()

    gboolean            gimp_scanner_parse_float            (GScanner *scanner,
                                                             gdouble *dest);

Returns : |

Since GIMP 2.4

### gimp_scanner_parse_color ()

    gboolean            gimp_scanner_parse_color            (GScanner *scanner,
                                                             GimpRGB *dest);

Returns : |

Since GIMP 2.4

### gimp_scanner_parse_matrix2 ()

    gboolean            gimp_scanner_parse_matrix2          (GScanner *scanner,
                                                             GimpMatrix2 *dest);

Returns : |

Since GIMP 2.4